<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>SDS CTF</title>
        <meta charset="utf-8" />
    </head>
    <style type="text/css" media="screen">
     body{font-family:Open Sans,Arial;
         color:#454545;
         font-size:16px;
         margin:2em auto;
         max-width:800px;
         padding:1em;
         line-height:1.4;
         text-align: center
     }
     .challenge-box{
         display: flex;
         max-width: 80%;
         flex-wrap: wrap;
         margin: auto;
         justify-content: center;
     }
     .challenge{
         border: solid 2px black;
         padding: 5px;
         text-decoration: none;
         color: inherit;
         margin: 10px;
     }
    </style>


    <body>
        Hello World!
        Welcome to <b>Heist CTF</b>!
        <h3>Now go hit a wall or solve a challenge!</h3>
        <div class="challenge-box">
            <a class="challenge" href="./challenge1/home.html">challenge1</a> </br> </br>
            <a class="challenge" href="./challenge2/index.html">challenge2</a> </br> </br>
            <a class="challenge" href="./challenge3/our-team.html">challenge3</a> </br> </br>
            <a class="challenge" href="http://osint-challenge-0x01.herokuapp.com/">challenge4</a> </br> </br>
            <a class="challenge" href="./challenge5/index.html">challenge5</a> </br> </br>
            <a class="challenge" href="./challenge6/index.html">challenge6</a> </br> </br>
            <a class="challenge" href="./challenge7/index.html">challenge7</a> </br> </br>
        </div>
        <p>That's enough for today, I guess</p>
        <a class="challenge" style="background: black; color:white;" href="https://forms.gle/zfLHMe8UoYJMBhzF9">Submit Flag</a>
        <p></p>
        <div style="text-align: justify; width: 80%; margin: auto;">
            <h2>Solutions</h2>
            <p>The CTF was successfully Completed. Thanks everyone for participating. We have considered  our feedbacks and promise to bring more such events to you guys.
                <hr>
                <p><strong>Challenge1 : Web Source Code</strong><br>Flag: SCTF{50urbc3_c06!n9}<br>Search the source code for flag with syntax SDSCTF{_}<br><br><br><strong>Challenge2 : Steganography</strong><br>Flag: SDSCTF{mu1t!_13V31_h!d!n9_15_fun}<br><br>1) extract using steghide(password: challenge2)<br>2) change the hex 82 to 50 using hexeditor<br>3) extract and get the txt file with base64<br>4) convert it to get a pastebin link which as a hex for the flag<br><br>Useful links:<br>http://www.unit-conversion.info/texttools/hexadecimal/<br>https://hexed.it/<br>https://gchq.github.io/CyberChef/<br>https://www.base64decode.org/<br><br><br><strong>Challenge3 : Forencics</strong><br>Flag: SDSCTF{F0r3n5!c5_!5_c00l}<br><br>steghide extract -sf nairobi.jpeg to extract text file which contains malbolg<br>Run the program at http://malbolge.doleczek.pl/<br><br><br><strong>Challenge4 : OSINT</strong><br>Flag: SDSCTF{05!nt_4n!m3_9!r15}<br>The famous character from konosuba Darkness the crusader. Her given name lalatina ojou sama in base 64 when appended to url will open up the page containing the flag.<br>https://osint-challenge-0x01.herokuapp.com/bGFsYXRpbmEgb2pvdSBzYW1h<br><br><br><strong>Challenge5: RSA Cryptography</strong><br>Flag: SDSCTF{R54_!5_N0T_846}<br><br>n, p, e and ciphertext(ct) are given.<br>Using the given n and p, q can be found (n=p*q)<br>find phin using p and q ( phin=(p-1)*(q-1) )<br>find decryption key(d) using e and phin ( d=inverse(e,phin) )<br>Decrypt ciphertext(ct) to plaintext(pt) by ( pt=pow(ct,d,n) )<br>Change long to bytes ( long_to_bytes(pt) ) to get the FLAG<br><br>from Crypto.PublicKey import RSA<br>from Crypto.Util.number import *<br>q=n/p<br>phin = (p-1)*(q-1)<br>d=inverse(e,phin)<br>pt=pow(ct,d,n)<br>long_to_bytes(pt)<br><br><strong>Challenge6: Web Challenge(Insecure Deserialization)</strong><br>Flag: SDSCTF{No_Way_Its_Type_juggling}<br><br>Link : https://web-challenge-0x02.herokuapp.com<br><br>web challenge in php(authentication bypass by Type juggling)<br><br>urlencode the payload<br>replace the cookie with payload<br>PAYLOAD : a:2:{s:4:&quot;user&quot;;b:1;s:6:&quot;passwd&quot;;b:1;}<br><br><br><strong>Challenge7: Multi Encoding</strong><br>Flag: SDSCTF{multiencoding}<br><br>SHA256 followed by Ripemd256</p>
            </p></div>
        <hr style="border-top: 3px dotted;border-bottom:0px;">
        <p>As always made with ♥ by the cool folks at the SDS Infra Team</p>
        <p><a style="text-decoration: none; color: inherit;" href="https://studevsoc.com">studevsoc.com</a></p>

    </body>
</html>
